---
title: Resonite
weight: 50
---

# Resonite

Resonite presents a decent base of usability for both native Linux and Proton verions, but suffers some issues under OpenComposite.

## Broken hands

Resonite is currently playable through OpenComposite on Valve Index controllers alone. The SteamVR runtime normally generates synthetic hand models ("skeletal input") from the user's controller activity, but as OpenComposite doesn't currently support this across all controllers, this leads to null hands being provided to Resonite.

Valve Index Knuckles generate their own synthetic hand data in the Monado runtime and therefore function as expected.

## Sync Error (native-only issue)

There is a bug that prevents cloud syncing. This only affects the native Linux client.

Symptom: The syncing status facet on your dash reads:

> **Sync Error** &nbsp; Check log for details

### Workaround

```bash
git clone "https://github.com/Yellow-Dog-Man/brotli.net"
wget "thepatch TODO"; git apply
cd Brotli.NET
dotnet restore
dotnet build Brotli.Core --configuration Release --no-restore
cp Brotli.Core/bin/Release/netstandard2.0/Brotli.Core.dll ~/.local/share/Steam/steamapps/common/Resonite/Resonite_Data/Managed/Brotli.Core.dll
cd ~/.local/share/Steam/steamapps/common/Resonite/
cp Resonite_Data/Plugins/brolib_x64.so Resonite_Data/Managed/
```

### Explanation

In short, Brotli.NET mistakenly determines it's on Windows, and thus tries and fails to load the Windows library `brolib_x64.dll`. Also, the correct Linux-native library _does_ ship with Resonite, but that isn't in Brotli.NET's search path.

See issue [Yellow-Dog-Man/brotli.net#3](https://github.com/Yellow-Dog-Man/brotli.net/issues/3).

## Can't import models (native)

This bug in AssimpNet prevents importing models. This only affects the native Linux client.

AssimpNet on Linux loads the native plugin from the wrong directory.

### Workaround

```bash
cd ~/.local/share/Steam/steamapps/common/Resonite/
ln -s Resonite_Data/Plugins/libassimp.so .
```

## Z-fighting on facets and UI

## Mirrors look messed up in VR